haplo.scan.w {GeneticsBase} | R Documentation

## Wrapper for searching for a trait-locus by sliding a fixed-width window over each marker locus and scanning all possible haplotype lengths within the window

### Description

Wrapper for searching for a trait-locus by sliding a fixed-width window over each marker locus and scanning all possible haplotype lengths within the window.

### Usage

    haplo.scan.w(geneSetObj,
                 width = 4,
                 miss.val = c(0, NA),
                 em.control = haplo.em.control(),
                 sim.control = score.sim.control())

### Arguments

`geneSetObj` | A geneSet object
`width` | Width of sliding the window
`miss.val` | Vector of values that represent missing alleles in geno.
`em.control` | A list of control parameters to determine how to perform the EM algorithm for estimating haplotype frequencies when phase is unknown. The list is created by the function `haplo.em.control` - see this function for more details.
`sim.control` | List of control parameters to determine how simulations are performed for simulated p-values. The list is created by the function `score.sim.control` and the default values of this function can be changed as desired. See `score.sim.control` for details.

### Details

Please refer to `haplo.scan` for more details.

### Value

A list that has class haplo.scan, which contains the following items:

`call` | The call to haplo.scan.w
`scan.df` | A data frame containing the maximum test statistic for each window around each locus, and its simulated p-value.
`max.loc` | The loci (locus) which contain(s) the maximum observed test statistic over all haplotype lengths and all windows.
`globalp` | A p-value for the significance of the global maximum statistic.
`nsim` | Number of simulations performed

### Note

~~further notes~~

### Author(s)

Weiliang Qiu stwxq@channing.harvard.edu, Ross Lazarus ross.lazarus@channing.harvard.edu

### References

~put references to the literature/web site here ~

### See Also

`haplo.em.w`, `haplo.score.slide.w`, `haplo.score.w`

### Examples

    ##---- Should be DIRECTLY executable !! ----
    ##-- ==>  Define data, use random,
    ##--    or do  help(data=index)  for the standard data sets.

    ## The function is currently defined as
    "haplo.scan.w"

[Package GeneticsBase version 1.8.0 Index]